<%!

	/**
	 * ページ切り替えリンクを作成します。
	 *
	 * @param maxRows 全件数
	 * @param listRows １ページの表示件数
	 * @param currentPageNo 現在表示しているページ番号
	 * <br>
	 * @return ページ切り替えリンク
	 */
	private String createPageChangeLink(int maxRows, int listRows, int currentPageNo) throws Exception
	{
		if (listRows < 1)
		{
			return "";
		}

		if (maxRows < 0)
		{
			maxRows = 0;
		}

		if (currentPageNo < 1)
		{
			currentPageNo = 1;
		}

		StringBuffer link = new StringBuffer(256);
		int maxPageNo = 0;
		int startPageNo = 0;

		maxPageNo = maxRows / listRows;
		if ((maxRows % listRows) != 0)
		{
			maxPageNo++;
		}

		int prevPageNo = (1 < currentPageNo) ? currentPageNo - 1 : 0;
		int nextPageNo = (currentPageNo < maxPageNo) ? currentPageNo + 1 : maxPageNo;

		int base = 10;
		if (maxPageNo > 100)
		{
			float f = maxPageNo / 100;
			base = Math.round(f) * 10;
		}
		ConversionList printPages = new ConversionList();
		int printPage = base;
		boolean setting = false;
		for (int i = 0; printPage < maxPageNo; i++)
		{
			if (!setting && printPage >= currentPageNo)
			{
				//前のページを挿入
				if (1 < prevPageNo && i > 0 && printPages.getInt(i-1) < prevPageNo)
				{
					printPages.addInt(prevPageNo);
				}

				//現在のページを挿入
				printPages.addInt(currentPageNo);

				//後ろのページを挿入
				if (nextPageNo != maxPageNo && (printPage + base) > nextPageNo)
				{
					printPages.addInt(nextPageNo);
				}

				setting = true;
			}
			else
			{
				printPages.addInt(printPage);
			}
			printPage += base;
		}

		if (!setting)
		{
			if (printPages.size() > 0)
			{
				//前のページを挿入
				if (1 < prevPageNo && printPages.getInt(printPages.size()-1) < prevPageNo)
				{
					printPages.addInt(prevPageNo);
				}
			}
			else
			{
				//前のページを挿入
				if (1 < prevPageNo)
				{
					printPages.addInt(prevPageNo);
				}
			}

			//現在のページを挿入
			printPages.addInt(currentPageNo);

			//後ろのページを挿入
			if (nextPageNo != maxPageNo)
			{
				printPages.addInt(nextPageNo);
			}
		}
		
		if (1 < currentPageNo)
		{
			link.append("　").append("<a href=\"#\" onclick=\"javascript:return changePage(" + (currentPageNo - 1) + ");\">").append("Previous").append("</a>");
			//最初のページ
			link.append("　").append("<a href=\"#\" onclick=\"javascript:return changePage(1);\">").append(1).append("</a>");
		}

		for (int i = 0; i < printPages.size(); i++)
		{
			int no = printPages.getInt(i);
			if (no != currentPageNo)
			{
				link.append("　").append("<a href=\"#\" onclick=\"javascript:return changePage(" + no + ");\">").append(no).append("</a>");
			}
			else
			{
				link.append("　&lt;").append(no).append("&gt;");
			}
		}

		if (currentPageNo < maxPageNo)
		{
			//最後のページ
			link.append("　").append("<a href=\"#\" onclick=\"javascript:return changePage(" + maxPageNo + ");\">").append(maxPageNo).append("</a>");
			//
			link.append("　").append("<a href=\"#\" onclick=\"javascript:return changePage(" + (currentPageNo + 1) + ");\">").append("Next").append("</a>");
		}

		return link.toString();
	}

%>
<%
/*
 * MORPHO GENERATION-F, Open Source Groupware Solutions
 * http://www.mintjams.jp/
 *
 * Copyright (c) 2004, MintJams, Inc.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice,
 *    this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 * 3. Neither the name of the MintJams, Inc. nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 */
%>
